Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSOtherPhoneService Class Reference

This service provides the user with the ability to direct media to any other phone (typically a cell phone/ home phone) while controlling signaling from the client. More...

`#import <CSOtherPhoneService.h>`

Inherits NSObject.

## Instance Methods
(void) | - activateOtherPhoneModeWithNumber:completionHandler:
| Activates other phone mode using the specified phone number, or updates the phone number if other phone mode is already active. More...
(void) | - deactivateOtherPhoneModeWithCompletionHandler:
| Deactivates the other phone mode. More...

## Properties
id< CSOtherPhoneServiceDelegate > | otherPhoneServiceDelegate
| Notifications about service state change. More...
NSString * | otherPhoneNumber
| Other phone number which is currently active . More...
CSCapability * | otherPhoneModeCapability
| Gets CSCapability object indicating whether the other phone mode is allowed. More...

## Detailed Description

This service provides the user with the ability to direct media to any other phone (typically a cell phone/ home phone) while controlling signaling from the client.

Access to the this service is provided by the otherPhoneNumber property on the CSUser class. When other phone mode is activated, at any given point of time, only one number will be used as the other phone number. For any outgoing or incoming call, there would be one call towards the other phone number and one call towards the target number. Applications would still have a single call, towards the target number to manage. The second call leg towards other phone will be managed internally by Client SDK.

Attention
  following are limitations in other phone mode:
  - `currently` video calls are not supported in other phone mode
  - `HTTP` calls are not supported in other phone mode

The CSOtherPhoneService object provides a set of APIs that allows application developers to activate and deactivate the other phone number.

The client application is notified about status updates reported by the other phone services through a delegate that the application adds to the CSOtherPhoneService object. These updates may be the result of local operations on the CSOtherPhoneService object.

## Method Documentation

- (void) activateOtherPhoneModeWithNumber: |  | (NSString *) | numberToActivate
completionHandler: |  | (CSOtherPhoneCompletionHandler) | completionHandler

Activates other phone mode using the specified phone number, or updates the phone number if other phone mode is already active.

If this method is called while another activation attempt is already in progress, the previous invocation of this method will be cancelled with an error code of CSErrorCancelled and activation will proceed using the `numberToActivate` from the latest invocation.

Parameters

  numberToActivate | The number to be used as active other phone number
  completionHandler | The completion handler for this operation.

- (void) deactivateOtherPhoneModeWithCompletionHandler: |  | (CSOtherPhoneCompletionHandler) | completionHandler |

Deactivates the other phone mode.

Parameters

  completionHandler | The completion handler for this operation.

## Property Documentation

- (CSCapability*) otherPhoneModeCapability
| read nonatomic assign

Gets CSCapability object indicating whether the other phone mode is allowed.

Other phone mode capability is allowed based on the user license.

- (NSString*) otherPhoneNumber
| read nonatomic assign

Other phone number which is currently active .

- (id<CSOtherPhoneServiceDelegate>) otherPhoneServiceDelegate
| read write nonatomic weak

Notifications about service state change.

The documentation for this class was generated from the following file:

- CSOtherPhoneService.h